Patch the bash vulnerability
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
LICENSE
README.md
patch-bash-4.3.25.sh

README.md

What Patch Bash Vulnerability

If you can run the command, your bash has vulnerable.

env x='() { :;}; echo vulnerable' bash -c "echo this is a test"

output is

vulnerable
echo this is a test

So, You have a bug that can be handle remote command executing.

Patch Bash Vulnerability

You just run

curl https://raw.githubusercontent.com/powerumc/Patch-Bash-Vulnerability/master/patch-bash-4.3.25.sh | sh

Completed we get the patch.

env x='() { :;}; echo vulnerable' bash -c "echo this is a test"

output is

bash: warning: x: ignoring function definition attempt
bash: error importing function definition for `x'
this is a test